f



RE: [ace-users] Problem compiling application with ACE 5.4.2 #2

Hi Neil,

We run Solaris 8, Sun CC 5.3 regularly and don't see this problem. But
we don't use STLport... Maybe that's a factor.

We can do support for you at 5.4b (available at Riverace's web site).
For other versions, please contact me.

Thanks,

-Steve







































--
Steve Huston, Riverace Corporation
Adding Service to Open Source Software
ACE book info at http://www.riverace.com/acebooks/

> -----Original Message-----
> From: owner-ace-users@cse.wustl.edu 
> [mailto:owner-ace-users@cse.wustl.edu] On Behalf Of Neil B. Cohen
> Sent: Tuesday, November 30, 2004 1:19 PM
> To: ace-users@cs.wustl.edu
> Subject: [ace-users] Problem compiling application with ACE 5.4.2
> 
> 
> Just an FYI followup to my question from earlier today...
> 
> As per the advice I got this morning, I tried downloading 5.4.2 and
> compiling that. I am using the Sun CC 5.3 compiler, which the
> documentation says has problems (and don't I know that... :)) But
the
> optimized version of ACE compiled, while the debug version failed to
> compile at all - I never did get to my application this time. 
> Same type
> of error though - I got this output:
> 
> gmake[1]: Entering directory `/auto/vsc-
> tools/ACE/ACE.5.4.2/ACE_wrappers/build_Sol8_dbg/ace'
> gmake[2]: Entering directory `/auto/vsc-
> tools/ACE/ACE.5.4.2/ACE_wrappers/build_Sol8_dbg/ace'
> 
> GNUmakefile: /auto/vsc-
> tools/ACE/ACE.5.4.2/ACE_wrappers/build_Sol8_dbg/ace/GNUmakefile.ACE
> MAKEFLAGS=w
> 
> <snip>
> 
> CC -mt -g -library=iostream,no%Cstd -DACE_USES_OLD_IOSTREAMS -
> I/auto/vsc-tools/stl/STLport-4.5.1/stlport  -noex  -
> DACE_USES_OLD_IOSTREAMS -DSUN_CC_HAS_PVFC_BUG  -I/auto/vsc-
> tools/ACE/ACE.5.4.2/ACE_wrappers/build_Sol8_dbg -DACE_NO_INLINE -I..
-
> DACE_HAS_ACE_TOKEN -DACE_HAS_ACE_SVCCONF -DACE_BUILD_DLL  -c -KPIC -
> o .shobj/Sock_Connect.o Sock_Connect.cpp
> "Sock_Connect.cpp", line 1314: Error: open is not a member of
ACE_OS.
> 1 Error(s) detected.
> gmake[2]: *** [.shobj/Sock_Connect.o] Error 1
> gmake[2]: Leaving directory `/auto/vsc-
> tools/ACE/ACE.5.4.2/ACE_wrappers/build_Sol8_dbg/ace'
> 
> I'm running on Solaris 8 with CC 5.3. Unless someone has seen this
> before and knows what can or should be done with it, I think I will
> stick with ACE 5.2.3 for the time being and try to get our compiler
> upgraded....
> 
> 
> nbc
> -- 
> NAME:   Neil B. Cohen (Cisco Systems Inc.)
> PHONE:  703-484-1316
> DOMAIN: nbc@cisco.com
> *************************************************************
> * Murphy's Philosophy: Smile - tomorrow will be worse...    *
> *                                                           *
> * O'Tooles Commentary: Murphy was an optimist!              *
> *************************************************************
> 



0
Steve
11/30/2004 7:24:55 PM
comp.soft-sys.ace 20326 articles. 1 followers. marlow.andrew (167) is leader. Post Follow

0 Replies
825 Views

Similar Articles

[PageSpeed] 22

Reply: